## org.exist.util.hashtable.test
Class HashtableTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.util.hashtable.test.HashtableTest

All Implemented Interfaces:
  junit.framework.Test

public class HashtableTest
extends junit.framework.TestCase

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`HashtableTest(java.lang.String testname)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testPut()`
`void` `testSequencedMap()`
`void` `testSequencedMap2()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashtableTest

    public HashtableTest(java.lang.String testname)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testPut

    public void testPut()

### testSequencedMap

    public void testSequencedMap()

### testSequencedMap2

    public void testSequencedMap2()

Copyright (C) Wolfgang Meier. All rights reserved.